Subject: 6to4 NAT ?

From: Matthias Urlichs <[email-masked]>
Date: Mon, 7 Feb 2011 09:59:10 +0000 (UTC)

Hello,

The problem: I have a 10.*/8 ipv4 network which I want to reach via ipv6.
I.e., what I need is some sort of 6to4 NAT so that traffic from [whereever]
to e.g. fec0:dead:beef:1234::10.1.2.3 ends up as coming from e.g. 10.0.0.1
on the IPv4 side.

"Classic" NAT, in other words, except that (a) one side is on IPv6, and
(b) the destination's v4 address is the tail end of the v6 address.

Cisco boxes can apparently do that. I want my Linux box to do it too. :-P

Is there something like this already out there, or do I need to copy
the NAT kernel modules and start hacking?

(This is not a tunnel: I don't want the IPv6 packets to get encapsulated
in IPv4. That'd require all the systems on the 10.* net to have their own
local tunnel interface. I can't do that.)
-- 
-- Matthias Urlichs